Summary:       Simplistic interface to pkg-config
Name:          perl-ExtUtils-PkgConfig
Version:       1.16
Release:       3%{?dist}
License:       LGPLv2+
URL:           https://metacpan.org/release/ExtUtils-PkgConfig
Source0:       https://cpan.metacpan.org/modules/by-module/ExtUtils/ExtUtils-PkgConfig-%{version}.tar.gz

BuildRequires: coreutils findutils make perl-generators
BuildRequires: perl-interpreter perl(Cwd) perl(ExtUtils::MakeMaker) perl(Carp) perl(English)
BuildRequires: perl(strict) perl(vars) pkgconfig perl(Test::More) perl(warnings)
Requires:      perl(:MODULE_COMPAT_%{?perl_version})
Requires:      pkgconfig
BuildArch:     noarch

%description
The pkg-config program retrieves information about installed libraries, usually for the purposes of
compiling against and linking to them.

ExtUtils::PkgConfig is a very simplistic interface to this utility, intended for use in the
Makefile.PL of perl extensions that bind libraries that pkg-config knows. It is really just
boilerplate code that you would've written yourself.

%prep
%autosetup -n ExtUtils-PkgConfig-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::PkgConfig.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 1.16-1
- initial build
